小菜鸟接着问问题,安装Qt4时发生错误

为当前最终发行版之前的所有版本提供支持
回复
头像
caoczlq
帖子: 1233
注册时间: 2008-08-22 11:30
来自: ヨイツ
送出感谢: 0
接收感谢: 0
联系:

小菜鸟接着问问题,安装Qt4时发生错误

#1

帖子 caoczlq » 2008-10-01 17:48

很是不好意思啊
由于刚学着使用,所以会的几乎等于0
而问题一大堆
谢谢大家对我的帮助
当然
以后我有能力的时候也会帮助其他人

安装蓝迪的时候发现缺少Qt4,下了一个,然后安装
在时出现错误

代码: 全选

/usr/bin/ld: cannot find -lXext
collect2: ld 返回 1
make[1]: *** [../../lib/libQtGui.so.4.4.2] 错误 1
make[1]:正在离开目录 `/home/czlq/桌面/qt/qt-x11-opensource-src-4.4.2/src/gui'
make: *** [sub-gui-install_subtargets-ordered] 错误 2


这是怎么回事啊
我妈妈要玩棋牌游戏的……
谢谢大家啊 :em01
头像
HuntXu
论坛版主
帖子: 5778
注册时间: 2007-09-29 3:09
送出感谢: 0
接收感谢: 6 次

Re: 小菜鸟接着问问题,安装Qt4时发生错误

#2

帖子 HuntXu » 2008-10-01 17:49

用源安装,新立得搜索qt
HUNT Unfortunately No Talent...
头像
caoczlq
帖子: 1233
注册时间: 2008-08-22 11:30
来自: ヨイツ
送出感谢: 0
接收感谢: 0
联系:

Re: 小菜鸟接着问问题,安装Qt4时发生错误

#3

帖子 caoczlq » 2008-10-01 18:07

谢谢
搜到好多啊
哪个是啊
一个一个找吧 :em01
头像
想入非非
论坛版主
帖子: 8078
注册时间: 2008-07-14 22:42
来自: Beijing
送出感谢: 0
接收感谢: 0
联系:

Re: 小菜鸟接着问问题,安装Qt4时发生错误

#4

帖子 想入非非 » 2008-10-01 18:48

caoczlq 写了:谢谢
搜到好多啊
哪个是啊
一个一个找吧 :em01

一般就是带dev的。。。多试一试就行了
Ubuntu User
头像
dsj
帖子: 810
注册时间: 2008-08-21 20:26
送出感谢: 0
接收感谢: 0
联系:

Re: 小菜鸟接着问问题,安装Qt4时发生错误

#5

帖子 dsj » 2008-10-01 20:07

启动终端,命令:
sudo apt-get install build-essential
sudo apt-get install qt4-dev-tools qt4-doc qt4-qtconfig qt4-demos qt4-designer
sudo apt-get install qdevelop
软件交流群:17264279
图书分享群:18246379
互动社区:http://www.ubuntuchina.com/
头像
caoczlq
帖子: 1233
注册时间: 2008-08-22 11:30
来自: ヨイツ
送出感谢: 0
接收感谢: 0
联系:

Re: 小菜鸟接着问问题,安装Qt4时发生错误

#6

帖子 caoczlq » 2008-10-01 21:13

安装了libxext-dev和libxext6后完成了Qt4的安装
可启动蓝迪还是提示找不到libQtSvg.so.4
然后安装了qdevelp和libstdc++5后
我妈妈终于能玩上游戏了
:em06
回复

回到 “老旧版本支持”